<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IsModemActivatedResponse StructType
 * @subpackage Structs
 */
class IsModemActivatedResponse extends AbstractStructBase
{
    /**
     * The IsModemActivatedResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsModemActivatedResult;
    /**
     * Constructor method for IsModemActivatedResponse
     * @uses IsModemActivatedResponse::setIsModemActivatedResult()
     * @param bool $isModemActivatedResult
     */
    public function __construct($isModemActivatedResult = null)
    {
        $this
            ->setIsModemActivatedResult($isModemActivatedResult);
    }
    /**
     * Get IsModemActivatedResult value
     * @return bool
     */
    public function getIsModemActivatedResult()
    {
        return $this->IsModemActivatedResult;
    }
    /**
     * Set IsModemActivatedResult value
     * @param bool $isModemActivatedResult
     * @return \CustomerManagement\StructType\IsModemActivatedResponse
     */
    public function setIsModemActivatedResult($isModemActivatedResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($isModemActivatedResult) && !is_bool($isModemActivatedResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isModemActivatedResult, true), gettype($isModemActivatedResult)), __LINE__);
        }
        $this->IsModemActivatedResult = $isModemActivatedResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\IsModemActivatedResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
